def whoWins(user, comp):
    '''Determine winner,
       Input:   user's and computer's choice
       Output:  "user", "computer" or "tie"
    '''
    winList = [('paper', 'rock'),
               ('scissors', 'paper'),
               ('rock', 'scissors')]
    if user == comp:
        win = 'tie'
    elif (user, comp) in winList:
        win = 'user'
    else:
        win = 'computer'
    return win

def getComp():
    '''Get computer choice
       Input:   None
       Output:  "paper", "rock" or "scissors"
    '''
    import random
    things = ['paper', 'rock', 'scissors']
    pick = random.choice(things)
    print("Computer picks", pick)
    return pick

def getUser():
    '''Get user input
       Input:   None
       Output:  "paper", "rock", "scissors" or "quit"
    '''
    cmdList = ["paper", "rock", "scissors", "quit"]
    while True:
        n = input("Human: enter rock, scissors, paper or quit:")
        if n not in cmdList :
            print ( " Bad input ; try again " )
        else :
            break
    return n

def showResult(score):
    '''Show game result
       Input:   Scores
       Output:  None
    '''
    print('')
    print(format("Game Finished","*^50"))
    print(format("Player"," <20"),format("Score"," <20"))
    print(format('-','-^40'))
    for key, value in score.items():
        print(format(key,' <20'),format(value,' <20'))

if __name__ == "__main__":
    score = {"user":0, "computer":0, "tie":0}
    while True:
        userchoice = getUser()
        if userchoice == "quit":
            break
        compchoice = getComp()
        winner = whoWins(userchoice, compchoice)
        score[winner] += 1
    showResult(score)
